Skip to main content
POST
/
organizations
/
{organizationId}
/
deployments
/
{deploymentId}
/
hibernation-override
Configure a hibernation override for a deployment
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployments/{deploymentId}/hibernation-override \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isHibernating": true,
  "overrideUntil": "2023-11-07T05:31:56Z"
}
'
{
  "isActive": true,
  "isHibernating": true,
  "overrideUntil": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The Organization ID

deploymentId
string
required

The Deployment ID

Body

application/json
isHibernating
boolean | null
required

The type of override to perform. Set this value to 'true' to have the Deployment hibernate regardless of its hibernation schedule. Set the value to 'false' to have the Deployment wake up regardless of its hibernation schedule. Use 'OverrideUntil' to define the length of the override.

overrideUntil
string<date-time> | null

The end of the override time in UTC, formatted as 'YYYY-MM-DDTHH:MM:SSZ'. If this value isn't specified, the override persists until you end it through the Astro UI or another API call.

Response

OK

isActive
boolean | null

Whether the override is currently active or not

isHibernating
boolean | null

Whether to go into hibernation or not via the override rule

overrideUntil
string<date-time> | null

Timestamp till the override on the hibernation schedule is in effect